import { PageEditConfiguration, DocumentScannerConfiguration, AnalyzeConfiguration, PDFPageFormat, LogLevel } from './model';
export { PageEditConfiguration, DocumentScannerConfiguration, AnalyzeConfiguration, PDFPageFormat, LogLevel };
declare const DocutainSdk: any;
export declare function initSDK(licenseKey: string): Promise<boolean>;
export declare function scanDocument(options: DocumentScannerConfiguration): Promise<boolean>;
export declare function loadFile(filePath: string): Promise<boolean>;
export declare function getText(): Promise<string>;
export declare function setAnalyzeConfiguration(config: AnalyzeConfiguration): Promise<boolean>;
export declare function analyze(): Promise<string>;
export declare function writePDF(filePath: string, overWrite: boolean, PDF_PageFormat: PDFPageFormat): Promise<string>;
export declare function getLastError(): Promise<string>;
export declare function setLogLevel(logLevel: LogLevel): Promise<boolean>;
export declare function getTraceFile(): Promise<string>;
export declare function deleteTempFiles(deleteTraceFileContent: boolean): Promise<boolean>;
export default DocutainSdk;
//# sourceMappingURL=index.d.ts.map