export type PDFPageFormatTxt = 'FIT_TO_PAGES' | 'A4' | 'A4_LANDSCAPE' | 'A5' | 'A5_LANDSCAPE' | 'LETTER' | 'LETTER_LANDSCAPE' | 'LEGAL' | 'LEGAL_LANDSCAPE';
export declare enum PDFPageFormat {
    FIT_TO_PAGES = 0,
    A4 = 1,
    A4_LANDSCAPE = 2,
    A5 = 3,
    A5_LANDSCAPE = 4,
    LETTER = 5,
    LETTER_LANDSCAPE = 6,
    LEGAL = 7,
    LEGAL_LANDSCAPE = 8
}
export declare enum LogLevel {
    DISABLE = 0,
    ASSERT = 1,
    ERROR = 2,
    WARNING = 3,
    INFO = 4,
    DEBUG = 5,
    VERBOSE = 6
}
export interface AnalyzeConfiguration {
    readBIC?: boolean;
    readPaymentState?: boolean;
}
export interface PageEditConfiguration {
    allowPageFilter?: boolean;
    allowPageRotation?: boolean;
}
export interface DocumentScannerConfiguration {
    allowCaptureModeSetting?: boolean;
    onboardingImageSource?: number;
    pageEditConfig?: PageEditConfiguration;
    theme?: number;
}
//# sourceMappingURL=model.d.ts.map